﻿using System.Diagnostics;

namespace SecureSimpleTcpClient
{
    class Program
    {
        private const string Server = "localhost";
        private const int Port = 7777;
        private const string CertificateServerName = "andersb.dk";

        static void Main()
        {
            SetupTrace();

            new SimpleSecureClient("www.google.dk", 443, "www.google.dk", "GET / HTTP/1.0\r\n\r\n");
            //new SimpleSecureClient(Server, Port, CertificateServerName, "hello world\n");
        }

        private static void SetupTrace()
        {
            Trace.AutoFlush = true;
            Trace.Listeners.Add(new ConsoleTraceListener());
        }
    }
}
